--- bittorrent-3.4.2.orig/BitTorrent/RawServer.py
+++ bittorrent-3.4.2/BitTorrent/RawServer.py
@@ -129,6 +129,10 @@
             handler = self.handler
         sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
         sock.setblocking(0)
+        try:
+            sock.setsockopt(socket.IPPROTO_IP, socket.IP_TOS, 32)
+        except:
+            pass
         sock.bind((self.bindaddr, 0))
         try:
             sock.connect_ex(dns)
--- bittorrent-3.4.2.orig/BitTorrent/track.py
+++ bittorrent-3.4.2/BitTorrent/track.py
@@ -258,7 +258,7 @@
                             szt = sz * n   # Transferred for this torrent
                             tt = tt + szt
                             if self.allow_get == 1:
-                                linkname = '<a href="/file?info_hash=' + quote(name) + '">' + self.allowed[name]['name'] + '</a>'
+                                linkname = '<a href="/file?info_hash=' + b2a_hex(name) + '">' + self.allowed[name]['name'] + '</a>'
                             else:
                                 linkname = self.allowed[name]['name']
                             s.write('<tr><td><code>%s</code></td><td>%s</td><td align="right">%s</td><td align="right">%i</td><td align="right">%i</td><td align="right">%i</td><td align="right">%s</td></tr>\n' \
@@ -308,8 +308,8 @@
                     fs[name]['name'] = self.allowed[name]['name']
             r = {'files': fs}
             return (200, 'OK', {'Content-Type': 'text/plain'}, bencode(r))
-        elif (path == 'file') and (self.allow_get == 1) and params.has_key('info_hash') and self.allowed.has_key(params['info_hash']):
-            hash = params['info_hash']
+        elif (path == 'file') and (self.allow_get == 1) and params.has_key('info_hash') and self.allowed.has_key(a2b_hex(params['info_hash'])):
+            hash = a2b_hex(params['info_hash'])
             fname = self.allowed[hash]['file']
             fpath = self.allowed[hash]['path']
             return (200, 'OK', {'Content-Type': 'application/x-bittorrent', 'Content-Disposition': 'attachment; filename=' + fname}, open(fpath, 'rb').read())
--- bittorrent-3.4.2.orig/BitTorrent/spewout.py
+++ bittorrent-3.4.2/BitTorrent/spewout.py
@@ -0,0 +1,44 @@
+
+# This file created for Debian because btdownloadcurses can't 
+# find btdownloadheadless because we rename it.
+
+def print_spew(spew):
+    s = StringIO()
+    s.write('\n\n\n')
+    for c in spew:
+        s.write('%20s ' % c['ip'])
+        if c['initiation'] == 'local':
+            s.write('l')
+        else:
+            s.write('r')
+        rate, interested, choked = c['upload']
+        s.write(' %10s ' % str(int(rate)))
+        if c['is_optimistic_unchoke']:
+            s.write('*')
+        else:
+            s.write(' ')
+        if interested:
+            s.write('i')
+        else:
+            s.write(' ')
+        if choked:
+            s.write('c')
+        else:
+            s.write(' ')
+
+        rate, interested, choked, snubbed = c['download']
+        s.write(' %10s ' % str(int(rate)))
+        if interested:
+            s.write('i')
+        else:
+            s.write(' ')
+        if choked:
+            s.write('c')
+        else:
+            s.write(' ')
+        if snubbed:
+            s.write('s')
+        else:
+            s.write(' ')
+        s.write('\n')
+    print s.getvalue()
--- bittorrent-3.4.2.orig/btdownloadgui.py
+++ bittorrent-3.4.2/btdownloadgui.py
@@ -3,14 +3,27 @@
 # Written by Bram Cohen and Myers Carpenter
 # see LICENSE.txt for license information
 
-from sys import argv
+from sys import argv, exit
 from BitTorrent import version
 from BitTorrent.download import download
-from btdownloadheadless import print_spew
+from BitTorrent.spewout import print_spew
 from threading import Event, Thread
 from os.path import join, split, exists
 from os import getcwd
-from wxPython.wx import *
+try:
+   from wxPython.wx import *
+   wxEVT_INVOKE = wxNewEventType()
+except:
+   print 'Could not load wxPython. In order to use this script,'
+   print 'you must have wxPython installed.  It is available in'
+   print 'the package libwxgtk2.4-python.'
+   print
+   print 'I am now going to attempt to run xmessage to alert'
+   print 'GUI users.'
+   from os import system
+   system("xmessage -file /usr/share/bittorrent/nowxmsg")
+   sys.exit(-1)
+
 from time import strftime, time
 from webbrowser import open_new
 from traceback import print_exc
@@ -163,13 +176,13 @@
             if timeEst is not None:
                 self.timeEstText.SetLabel(hours(timeEst))
             if downRate is not None:
-                self.downRateText.SetLabel('%.0f KiB/s' % (float(downRate) / (1 << 10)))
+                self.downRateText.SetLabel('%.0f kB/s' % (float(downRate) / (1 << 10)))
             if upRate is not None:
-                self.upRateText.SetLabel('%.0f KiB/s' % (float(upRate) / (1 << 10)))
+                self.upRateText.SetLabel('%.0f kB/s' % (float(upRate) / (1 << 10)))
             if downTotal is not None:
-                self.downTotalText.SetLabel('%.1f M' % (downTotal))
+                self.downTotalText.SetLabel('%.1f MB' % (downTotal))
             if upTotal is not None:
-                self.upTotalText.SetLabel('%.1f M' % (upTotal))
+                self.upTotalText.SetLabel('%.1f MB' % (upTotal))
             self.last_update_time = time()
         except:
             print_exc()
@@ -266,30 +279,6 @@
 
 def next(params, d, doneflag):
     try:
-        p = join(split(argv[0])[0], 'donated')
-        if not exists(p) and long(time()) % 3 == 0:
-            open_new('http://bitconjurer.org/BitTorrent/donate.html')
-            dlg = wxMessageDialog(d.frame, 'BitTorrent is Donation supported software. ' + 
-                'Please go to the donation page (which should be appearing for you now) and make a donation from there. ' + 
-                'Or you can click no and donate later.\n\nHave you made a donation yet?',
-                'Donate!', wxYES_NO | wxICON_INFORMATION | wxNO_DEFAULT)
-            if dlg.ShowModal() == wxID_YES:
-                dlg.Destroy()
-                dlg = wxMessageDialog(d.frame, 'Thanks for your donation! You will no longer be shown donation requests.\n\n' + 
-                    "If you haven't actually made a donation and are feeling guilty (as you should!) you can always get to " + 
-                    "the donation page by clicking the 'about' link in the upper-right corner of the main BitTorrent window and " + 
-                    'donating from there.', 'Thanks!', wxOK)
-                dlg.ShowModal()
-                dlg.Destroy()
-                try:
-                    open(p, 'wb').close()
-                except IOError, e:
-                    dlg = wxMessageDialog(d.frame, "Sorry, but I couldn't set the flag to not ask you for donations in the future - " + str(e),
-                        'Sorry!', wxOK | wxICON_ERROR)
-                    dlg.ShowModal()
-                    dlg.Destroy()
-            else:
-                dlg.Destroy()
         download(params, d.chooseFile, d.updateStatus, d.finished, d.error, doneflag, 100, d.newpath)
         if not d.fin:
             d.failed()
--- bittorrent-3.4.2.orig/btlaunchmany.py
+++ bittorrent-3.4.2/btlaunchmany.py
@@ -28,7 +28,7 @@
     return '%d:%02d:%02d' % (h, m, s)
 
 def fmtsize(n, baseunit = 0, padded = 1):
-    unit = [' B', 'KB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB']
+    unit = [' B', 'kB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB']
     i = baseunit
     while i + 1 < len(unit) and n >= 999:
         i += 1
@@ -124,7 +124,9 @@
         totaldown = 0
         totaluptotal = 0.0
         totaldowntotal = 0.0
-        for file, threadinfo in threads.items(): 
+        tdis = threads.items()
+        tdis.sort()
+        for file, threadinfo in tdis: 
             uprate = threadinfo.get('uprate', 0)
             downrate = threadinfo.get('downrate', 0)
             uptxt = fmtsize(uprate, padded = 0)
@@ -140,7 +142,7 @@
                 print '%s: try %d died, retry in %d' % (filename, trys, timeout)
             else:
                 status = threadinfo.get('status','')
-                print '%s: Spd: %s/%s Tot: %s/%s [%s]' % (filename, uptxt, downtxt, uptotaltxt, downtotaltxt, status)
+                print '%s: Spd: %s/s:%s/s Tot: %s:%s [%s]' % (filename, uptxt, downtxt, uptotaltxt, downtotaltxt, status)
             totalup += uprate
             totaldown += downrate
             totaluptotal += uptotal
@@ -150,7 +152,7 @@
         totaldowntxt = fmtsize(totaldown, padded = 0)
         totaluptotaltxt = fmtsize(totaluptotal, baseunit = 2, padded = 0)
         totaldowntotaltxt = fmtsize(totaldowntotal, baseunit = 2, padded = 0)
-        print 'All: Spd: %s/%s Tot: %s/%s' % (totaluptxt, totaldowntxt, totaluptotaltxt, totaldowntotaltxt)
+        print 'All: Spd: %s/s:%s/s Tot: %s:%s' % (totaluptxt, totaldowntxt, totaluptotaltxt, totaldowntotaltxt)
         print
         stdout.flush()
         sleep(interval)
@@ -176,7 +178,7 @@
         self.done = 1
         self.myinfo['done'] = 1
         self.activity = 'complete'
-        self.display({'fractionDone' : 1})
+        self.display({'fractionDone' : 1, 'downRate' : 0})
 
     def err(self, msg): 
         self.myinfo['errors'].append(msg)
@@ -187,20 +189,21 @@
         self.display() 
 
     def choose(self, default, size, saveas, dir):
+        global filecheck
         self.myinfo['downfile'] = default
         self.myinfo['filesize'] = fmtsize(size)
         if saveas == '': 
             saveas = default
         # it asks me where I want to save it before checking the file.. 
-        self.myinfo['savefile'] = self.file[:-len(ext)]
         if exists(self.file[:-len(ext)]) and (getsize(self.file[:-len(ext)]) > 0):
             # file will get checked
             while (not filecheck.acquire(0) and not self.myinfo['kill'].isSet()):
                 self.myinfo['status'] = 'disk wait'
                 sleep(0.1)
             if not self.myinfo['kill'].isSet():
-                self.myinfo['checking'] = 1
                 self.checking = 1
+                self.myinfo['checking'] = 1
+        self.myinfo['savefile'] = self.file[:-len(ext)]
         return self.file[:-len(ext)]
     
     def display(self, dict = {}):
--- bittorrent-3.4.2.orig/btlaunchmanycurses.py
+++ bittorrent-3.4.2/btlaunchmanycurses.py
@@ -29,7 +29,7 @@
     return 'finishing in %d:%02d:%02d' % (h, m, s)
 
 def fmtsize(n, baseunit = 0, padded = 1):
-    unit = [' B', 'KB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB']
+    unit = [' B', 'kB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB']
     i = baseunit
     while i + 1 < len(unit) and n >= 999:
         i += 1
@@ -142,7 +142,9 @@
         totaldown = 0
         totaluptotal = 0.0
         totaldowntotal = 0.0
-        for file, threadinfo in threads.items(): 
+        tdis = threads.items()
+        tdis.sort()
+        for file, threadinfo in tdis: 
             uprate = threadinfo.get('uprate', 0)
             downrate = threadinfo.get('downrate', 0)
             uptxt = '%s/s' % fmtsize(uprate)
--- bittorrent-3.4.2.orig/setup.py
+++ bittorrent-3.4.2/setup.py
@@ -18,9 +18,8 @@
     
     packages = ["BitTorrent"],
 
-    scripts = ["btdownloadgui.py", "btdownloadheadless.py", "btdownloadlibrary.py", 
-        "bttrack.py", "btmakemetafile.py", "btlaunchmany.py", "btcompletedir.py",
-        "btdownloadcurses.py", "btcompletedirgui.py", "btlaunchmanycurses.py", 
-        "btmakemetafile.py", "btreannounce.py", "btrename.py", "btshowmetainfo.py",
-        "bttest.py"]
+    scripts = ["btdownloadgui.py", "btdownloadheadless.py", 
+        "bttrack.py", "btmakemetafile.py", "btlaunchmany.py",
+        "btdownloadcurses.py", "btlaunchmanycurses.py", 
+        "btmakemetafile.py", "btreannounce.py", "btrename.py", "btshowmetainfo.py", "btcompletedir.py", "btcompletedirgui.py"]
     )
--- bittorrent-3.4.2.orig/debian/changelog
+++ bittorrent-3.4.2/debian/changelog
@@ -0,0 +1,193 @@
+bittorrent (3.4.2-3) unstable; urgency=low
+
+  * Split bittorrent package into bittorrent and bittorrent-gui
+    to be compliant with Policy 11.8.1. closes: #180396
+    + Falling back to btdownloadcurses from btdownloadgui
+      is pointless if it isn't installed. closes: #219466
+    + This also solves the problem with the obsolete
+      message, it doesn't exist anymore. closes: #278583
+  * Use the alternatives system so that we can all get along,
+    and be installed together in harmony. closes: #263003
+  * Apply patch so that --allow_get uses hex for it's URLs
+    instead of raw SHA-1 binary hashes. closes: #275637
+  * Fix typo in btlaunchmany. closes: #262974
+  * Fix problem with guide.html. closes: #265506
+
+ -- Michael Janssen <jamuraa@debian.org>  Sun,  7 Nov 2004 00:16:07 -0600
+
+bittorrent (3.4.2-2) unstable; urgency=low
+
+  * Changed KiB/s and KB/s to kB/s, changed / to : in btlaunchmany,
+    added "/s" to transfer rates.  closes: #247236
+  * Sort display of files on btlaunchmany, btlaunchmanycurses to be
+    sorted by torrent file name. closes: #247237
+  * Set download rate to 0 when complete with file (btlaunchmany).
+    closes: #247239
+  * Add TOS setting code to outgoing as well as incomign connections. 
+    closes: #253499
+
+ -- Michael Janssen <jamuraa@debian.org>  Fri, 16 Jul 2004 09:57:43 -0500
+
+bittorrent (3.4.2-1) unstable; urgency=low
+
+  * New upstream release
+
+ -- Michael Janssen <jamuraa@debian.org>  Mon,  5 Apr 2004 01:23:54 -0500
+
+bittorrent (3.4.1a-1) unstable; urgency=low
+
+  * The "not enough time in the day" release.
+  * New upstream release. closes: #236740
+    + Tracker problems don't popup error messages if the transfer
+      is still working anymore. closes: #217572
+  * Use dh_python to get python deps and postinst handled, yay!
+    closes: #215119
+  * Remove empty usr/sbin directory from the package. closes: #219382
+  * Fix btreannounce manpage. closes: #228116
+  * Add some html documentation to the package. (thanks Javier) 
+    closes: #219038
+
+ -- Michael Janssen <jamuraa@debian.org>  Fri, 26 Mar 2004 15:01:00 -0600
+
+bittorrent (3.3-4) unstable; urgency=low
+
+  * Made btdownloadgui exit cleanly when we can't find wxpython.
+  * Remove some useless code that got included from backport patches
+    when the 3.2.1 -> 3.3 switch happened.
+
+ -- Michael Janssen <jamuraa@debian.org>  Fri, 26 Mar 2004 13:36:40 -0600
+
+bittorrent (3.3-3) unstable; urgency=low
+
+  * Removed annoying and unreliable, non-policy compliant donation
+    asking code. closes: #215983, #212940
+  * Re-add warning code for people who don't have wxpython. 
+  * Fix manpage because btdownloadprefetched doesn't exist anymore. 
+    closes: #213388
+
+ -- Michael Janssen <jamuraa@debian.org>  Wed, 15 Oct 2003 21:13:47 -0500
+
+bittorrent (3.3-2) unstable; urgency=low
+
+  * The "test before you upload" release. 
+  * Fixed problem with btdownloadgui because of executable renaming.
+    closes: #212662
+
+ -- Michael Janssen <jamuraa@debian.org>  Wed, 24 Sep 2003 23:05:02 -0500
+
+bittorrent (3.3-1) unstable; urgency=low
+
+  * New upstream release
+    + Files/URLs accepted on command line now. closes: #200267
+    + New allocation method. closes: #193455
+    + Major curses updates. closes: #212172
+  * Fixed typo in bittorrent-downloader page. closes: #211377
+
+ -- Michael Janssen <jamuraa@debian.org>  Wed, 24 Sep 2003 21:51:19 -0500
+
+bittorrent (3.2.1b-5) unstable; urgency=low
+
+  * The "DOH!" release.
+  * Fix syntax error in btlaunchmanycurses. closes: #206135
+
+ -- Michael Janssen <jamuraa@base0.net>  Mon, 18 Aug 2003 22:07:27 -0500
+
+bittorrent (3.2.1b-4) unstable; urgency=low
+
+  * The "why oh why am I not following CVS" release.
+  * Import the system function before we use it. closes: #196305
+  * Release the lock if a thread dies while checking the file(s).
+    closes: #196397
+  * Call WINCH handler when an error happens in btlaunchmanycurses,
+    so that the screen doesn't get as garbled. closes: #200559
+  * Add ^L parsing to btdownloadcurses so that people can get rid of
+    annoying urllib bugs. closes: #200648, #195605
+  * Repackage against new python. closes: #205850
+  * Change error time displayed by btdownloadcurses to use the appropriate
+    locale's representation. closes: #196395
+
+ -- Michael Janssen <jamuraa@base0.net>  Sun, 17 Aug 2003 19:23:33 -0500
+
+bittorrent (3.2.1b-3) unstable; urgency=low
+
+  * The "summer is finally here" release.
+  * Change btdownloadcurses to display only as many errors that can fit
+    on the screen. closes: #189371
+  * Remove .py manpages I forgot about last time. closes: #191801
+  * Fix mailcap so it doesn't point to a nonexistent script.
+    closes: #193502
+  * Change the non-X11 entry to start the curses version
+  * Make files get closed cleanly. closes: #193624
+  * Change the mass downloaders so they only check one torrent at a time
+    so we don't step on each other for disk accesses. closes: #193302
+  
+ -- Michael Janssen <jamuraa@base0.net>  Thu, 22 May 2003 18:19:08 -0500
+
+bittorrent (3.2.1b-2) unstable; urgency=low
+
+  * The "didn't I do this once already?" release.
+  * Change shebang line to use python2.2 (again). 
+    closes: #190089, #190150
+  * Rename scripts without .py and removed links. closes: #189304
+  * Change recommends to libwxgtk2.4-python. closes: #189570
+  * Fixed mailcap. closes: #189015, #188691
+
+ -- Michael Janssen <jamuraa@base0.net>  Tue, 22 Apr 2003 08:51:37 -0500
+
+bittorrent (3.2.1b-1) unstable; urgency=low
+
+  * New Upstream Release. closes: #187054
+  * Wrote manpages for bittorrent-multi-downloader, btrename,
+    btreannounce, btshowmetainfo
+
+ -- Michael Janssen <jamuraa@base0.net>  Fri, 11 Apr 2003 00:23:27 -0500
+
+bittorrent (3.1-5) unstable; urgency=low
+
+  * Change '/usr/bin/env python' to '/usr/bin/env python2.2' since
+    we depend on python > 2.2 | python2.2, and python2.2 doesn't
+    have 'python' in it.
+  * Call python2.2 in postinst as well. closes: #185852
+
+ -- Michael Janssen <jamuraa@base0.net>  Sun, 23 Mar 2003 00:13:48 -0600
+
+bittorrent (3.1-4) unstable; urgency=low
+
+  * Add optional depend on python2.2 so we can get into testing.
+  * Add options --max_upload_rate, --check_hashes, --alloc_pause, and
+    --snub_time to bittorrent-downloaders.1. closes: #182634
+  * Make btdownloadcurses die nicely and display the list of
+    arguments like btdownloadheadless does. closes: #183289
+  * Change the filename in FAQ.txt to a unix-like filename.
+    closes: #179159
+  * Update to Standards-Version 3.5.9.
+  * Update to debhelper 4, change depends line appropriately.
+  * Install btlaunchmany.py too.
+
+ -- Michael Janssen <jamuraa@base0.net>  Mon, 17 Mar 2003 02:03:32 -0600
+
+bittorrent (3.1-3) unstable; urgency=low
+
+  * Added python-dev to build-depends. closes: #179035
+  * Changed wxGtk test to fail instead of pass when
+    libwxgtk2.2-python is installed, which bittorrent doesn't work
+    with. closes: #179047
+  * Changed wxGtk failure message to note that libwxgtk2.2-python is
+    insufficient.
+
+ -- Michael Janssen <jamuraa@base0.net>  Thu, 30 Jan 2003 10:46:29 -0600
+
+bittorrent (3.1-2) unstable; urgency=low
+
+  * Don't ship .pyc.  Compile .pyc and .pyo when installed.
+  * libwxgtk2.3-python isn't in testing, tell people this.
+  * Added mime-support to Suggests.
+
+ -- Michael Janssen <jamuraa@base0.net>  Fri, 24 Jan 2003 20:56:08 -0600
+
+bittorrent (3.1-1) unstable; urgency=low
+
+  * Initial Release.
+
+ -- Michael Janssen <jamuraa@debian.org>  Sat, 18 Jan 2003 02:23:11 -0600
+
--- bittorrent-3.4.2.orig/debian/bittorrent.links
+++ bittorrent-3.4.2/debian/bittorrent.links
@@ -0,0 +1,4 @@
+usr/share/man/man1/bittorrent-downloader.bittorrent.1.gz usr/share/man/man1/btdownloadcurses.bittorrent.1.gz
+usr/share/man/man1/bittorrent-downloader.bittorrent.1.gz usr/share/man/man1/btdownloadheadless.bittorrent.1.gz
+usr/share/man/man1/bittorrent-multi-downloader.bittorrent.1.gz usr/share/man/man1/btlaunchmany.bittorrent.1.gz 
+usr/share/man/man1/bittorrent-multi-downloader.bittorrent.1.gz usr/share/man/man1/btlaunchmanycurses.bittorrent.1.gz 
--- bittorrent-3.4.2.orig/debian/rules
+++ bittorrent-3.4.2/debian/rules
@@ -0,0 +1,94 @@
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper.
+# GNU copyright 1997 to 1999 by Joey Hess.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+configure: configure-stamp
+configure-stamp:
+	dh_testdir
+	# Add here commands to configure the package.
+
+	touch configure-stamp
+
+
+build: build-stamp fix-doc
+
+build-stamp: configure-stamp 
+	dh_testdir
+
+	# Add here commands to compile the package.
+	#$(MAKE)
+	#/usr/bin/docbook-to-man debian/bittorrent.sgml > bittorrent.1
+
+	touch build-stamp
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp configure-stamp
+
+	# Add here commands to clean up after the build process.
+	#-$(MAKE) clean
+	rm -rf build/ BitTorrent/*.pyc *.pyc
+	rm -rf www-doc/bittorrent_logo.png
+
+	dh_clean
+
+update-doc:
+	if [ ! -d www-doc ] ; then mkdir www-doc ; fi
+	cd www-doc && /usr/bin/wget --proxy=off -L -nd -A html,png,gif -k --no-parent -q -m -r -l 1 http://bitconjurer.org/BitTorrent/documentation.html 
+	find www-doc -type f -a \( -name "*.gif" -o -name "*.png" \) | \
+	while read file ; do cat www-doc/`basename $$file` | uuencode `basename $$file` > www-doc/`basename $$file`.uu ; done
+	-rm -f www-doc/robots.txt www-doc/*.{gif,png}
+
+clean-doc:
+	-rm -f www-doc/*
+
+fix-doc:
+# We do this in order to prevent dpkg-source from breaking
+	cd www-doc/ && for i in *.uu; do uudecode $$i; done
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+
+	# Add here commands to install the package into debian/bittorrent.
+	./setup.py install --prefix=$(CURDIR)/debian/tmp/usr
+
+
+# Build architecture-independent files here.
+binary-arch: build install
+# We have nothing to do by default.
+	
+
+# Build architecture-dependent files here.
+binary-indep: build install
+	dh_testdir
+	dh_testroot
+	dh_installdocs
+	dh_installexamples
+	dh_installmenu
+	dh_installmime
+	dh_installman
+	# .bittorrent for alternatives
+	( cd debian/tmp/usr/bin && \
+	  for i in btdownloadgui btdownloadheadless bttrack btmakemetafile btlaunchmany btdownloadcurses btlaunchmanycurses btreannounce btrename btshowmetainfo btcompletedir btcompletedirgui; \
+	  do mv $$i.py $$i.bittorrent; done )
+	rm debian/tmp/usr/lib/python2.3/site-packages/BitTorrent/*.pyc
+	dh_installchangelogs 
+	dh_install --sourcedir=debian/tmp
+	dh_link
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_python
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure
--- bittorrent-3.4.2.orig/debian/compat
+++ bittorrent-3.4.2/debian/compat
@@ -0,0 +1 @@
+4
--- bittorrent-3.4.2.orig/debian/control
+++ bittorrent-3.4.2/debian/control
@@ -0,0 +1,44 @@
+Source: bittorrent
+Section: net
+Priority: optional
+Maintainer: Michael Janssen <jamuraa@debian.org>
+Build-Depends-Indep: debhelper (>> 4.0.0), python, python-dev, sharutils
+Standards-Version: 3.6.1
+
+Package: bittorrent
+Architecture: all
+Depends: ${python:Depends}
+Suggests: bittorrent-gui
+Recommends: mime-support
+Description: Scatter-gather network file transfer
+ BitTorrent is a tool for distributing files. It's extremely   
+ easy to use - downloads are started by clicking on hyperlinks.
+ Whenever more than one person is downloading at once
+ they send pieces of the file(s) to each other, thus relieving
+ the central server's bandwidth burden. Even with many
+ simultaneous downloads, the upload burden on the central server
+ remains quite small, since each new downloader introduces new
+ upload capacity.
+ .
+ This package contains the tools which are used for console-only 
+ downloading.  If you want the GUI interface, install the 
+ bittorrent-gui package.
+ .
+  Homepage: http://bitconjurer.org/BitTorrent/
+
+Package: bittorrent-gui
+Architecture: all
+Depends: ${python:Depends}, bittorrent (>= 3.4.2-1), libwxgtk2.4-python
+Description: Scatter-gather network file transfer (GUI files)
+ BitTorrent is a tool for distributing files. It's extremely   
+ easy to use - downloads are started by clicking on hyperlinks.
+ Whenever more than one person is downloading at once
+ they send pieces of the file(s) to each other, thus relieving
+ the central server's bandwidth burden. Even with many
+ simultaneous downloads, the upload burden on the central server
+ remains quite small, since each new downloader introduces new
+ upload capacity.
+ .
+ This package contains the GUI interface to downloading.
+ .
+  Homepage: http://bitconjurer.org/BitTorrent/
--- bittorrent-3.4.2.orig/debian/dirs
+++ bittorrent-3.4.2/debian/dirs
@@ -0,0 +1,2 @@
+usr/bin
+usr/share/bittorrent
--- bittorrent-3.4.2.orig/debian/bittorrent-gui.postinst
+++ bittorrent-3.4.2/debian/bittorrent-gui.postinst
@@ -0,0 +1,63 @@
+#! /bin/sh
+# postinst script for bittorrent
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+# quoting from the policy:
+#     Any necessary prompting should almost always be confined to the
+#     post-installation script, and should be protected with a conditional
+#     so that unnecessary prompting doesn't happen if a package's
+#     installation fails and the `postinst' is called with `abort-upgrade',
+#     `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+    configure) 
+      # Run mimetypes to add mimetypes
+      if [ -e /etc/init.d/mimetypes ]; then
+        /etc/init.d/mimetypes
+      fi
+
+      for i in btcompletedirgui btdownloadgui ; do 
+        update-alternatives \
+        --install /usr/bin/$i $i /usr/bin/$i.bittorrent 110 \
+        --slave /usr/share/man/man1/$i.1.gz $i.1.gz /usr/share/man/man1/$i.bittorrent.1.gz
+      done
+    
+    ;; 
+    
+    abort-upgrade|abort-remove|abort-deconfigure)
+      for i in btcompletedirgui btdownloadgui ; do
+        update-alternatives \
+        --install /usr/bin/$i $i /usr/bin/$i.bittornado 110 \
+        --slave /usr/share/man/man1/$i.1.gz $i.1.gz /usr/share/man/man1/$i.bittorrent.1.gz
+      done
+                                                                  
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- bittorrent-3.4.2.orig/debian/bittorrent.postinst
+++ bittorrent-3.4.2/debian/bittorrent.postinst
@@ -0,0 +1,63 @@
+#! /bin/sh
+# postinst script for bittorrent
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+# quoting from the policy:
+#     Any necessary prompting should almost always be confined to the
+#     post-installation script, and should be protected with a conditional
+#     so that unnecessary prompting doesn't happen if a package's
+#     installation fails and the `postinst' is called with `abort-upgrade',
+#     `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+    configure)
+      # Run the mimetypes program to add mimetypes into Netscape.
+      if [ -e /etc/init.d/mimetypes ]; then
+        /etc/init.d/mimetypes
+      fi
+
+      for i in btcompletedir btdownloadcurses btdownloadheadless btlaunchmany btlaunchmanycurses btmakemetafile btreannounce btrename btshowmetainfo bttrack ; do
+        update-alternatives \
+        --install /usr/bin/$i $i /usr/bin/$i.bittorrent 110 \
+        --slave /usr/share/man/man1/$i.1.gz $i.1.gz /usr/share/man/man1/$i.bittorrent.1.gz
+      done
+   
+    ;;
+    
+    abort-upgrade|abort-remove|abort-deconfigure)
+      for i in btcompletedir btdownloadcurses btdownloadheadless btlaunchmany btlaunchmanycurses btmakemetafile btreannounce btrename btshowmetainfo bttrack ; do
+        update-alternatives \
+        --install /usr/bin/$i $i /usr/bin/$i.bittorrent 110 \
+        --slave /usr/share/man/man1/$i.1.gz $i.1.gz /usr/share/man/man1/$i.bittorrent.1.gz
+      done
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- bittorrent-3.4.2.orig/debian/bittorrent.mime
+++ bittorrent-3.4.2/debian/bittorrent.mime
@@ -0,0 +1 @@
+application/x-bittorrent; /usr/bin/btdownloadcurses --responsefile %s; test=test -z "$DISPLAY"; needsterminal
--- bittorrent-3.4.2.orig/debian/bittorrent-gui.links
+++ bittorrent-3.4.2/debian/bittorrent-gui.links
@@ -0,0 +1 @@
+usr/share/man/man1/bittorrent-downloader.bittorrent.1.gz usr/share/man/man1/btdownloadgui.bittorrent.1.gz 
--- bittorrent-3.4.2.orig/debian/bittorrent.docs
+++ bittorrent-3.4.2/debian/bittorrent.docs
@@ -0,0 +1,3 @@
+README.txt
+credits.txt
+www-doc/*.{html,png,gif}
--- bittorrent-3.4.2.orig/debian/bittorrent-gui.mime
+++ bittorrent-3.4.2/debian/bittorrent-gui.mime
@@ -0,0 +1 @@
+application/x-bittorrent; /usr/bin/btdownloadgui --responsefile %s; test=test -n "$DISPLAY"
--- bittorrent-3.4.2.orig/debian/bittorrent.install
+++ bittorrent-3.4.2/debian/bittorrent.install
@@ -0,0 +1,11 @@
+usr/bin/btcompletedir.bittorrent
+usr/bin/btdownloadcurses.bittorrent
+usr/bin/btdownloadheadless.bittorrent
+usr/bin/btlaunchmany.bittorrent
+usr/bin/btlaunchmanycurses.bittorrent
+usr/bin/btmakemetafile.bittorrent
+usr/bin/btreannounce.bittorrent
+usr/bin/btrename.bittorrent
+usr/bin/btshowmetainfo.bittorrent
+usr/bin/bttrack.bittorrent
+usr/lib
--- bittorrent-3.4.2.orig/debian/bittorrent.manpages
+++ bittorrent-3.4.2/debian/bittorrent.manpages
@@ -0,0 +1,7 @@
+debian/bittorrent-downloader.bittorrent.1
+debian/bttrack.bittorrent.1
+debian/btmakemetafile.bittorrent.1
+debian/bittorrent-multi-downloader.bittorrent.1
+debian/btreannounce.bittorrent.1
+debian/btrename.bittorrent.1
+debian/btshowmetainfo.bittorrent.1
